<?php
/**
 * DES加密
 */
function imgDesEncode($str){
    $key = DcEmpty(config('common.site_secret'), 'DaiCuoTuChuang');
    //加密参数
    $array = [];
    $array['url']  = $str;
    $array['time'] = time();
    //加密结果
    return openssl_encrypt(http_build_query($array), 'DES-ECB', $key, 0);
}
/**
 * DES解密
 */
function imgDesDecode($str){
    
    $str = str_replace(['%20',' '], '+', $str);
    
    $key = DcEmpty(config('common.site_secret'), 'DaiCuoTuChuang');
    //还原加密参数
    parse_str( openssl_decrypt($str, 'DES-ECB', $key, 0), $array);
    //是否设置有效期
    $expire = intval(config('tuchuang.des_length'));
    if($expire){
        if( (time() - $array['time']) > $expire){
            return false;//已超时
        }
    }
    //返回原始地址
    return $array['url'];
}

/**
 * 获取文件的mimetype类型
 * @version 1.3.0 首次引入
 * @param string $fileName 必需;文件完整路径;默认：空
 * @return string 类型
 */
function imgMimeType($fileName=''){
    $finfo    = finfo_open(FILEINFO_MIME_TYPE);
    $mimetype = finfo_file($finfo, $fileName);
    finfo_close($finfo);
    return $mimetype;
}